const axios = require('axios')

export default {
    save(dataBody, callback) {
        axios.post('/api/target/social/add', dataBody)
            .then((response) => {
                callback(response);
            })
    },
    delete(dataBody, callback) {
        axios.post('/api/target/social/delete', dataBody)
            .then(response => callback(response))
            .catch(function (error) {
                console.log(error);
            })
    },
    queryPageable(page, size, queryParams, callback) {
        axios.post('/api/target/social/queryPageable/' + page + '/' + size, queryParams).then((response) => {
            callback(response);
        }).catch(error => {
            console.log(error);
        })
    }
}
